<template>
  <div class="mapViewer">
    <leftpanel ref="Left" v-show="false" />
    <viewer class="mapViewer" />
    <!-- <img id="headlog" src="@/assets/img/new/logo.png" /> -->
  </div>
</template>

<script>
import viewer from "@/components/map/viewer";
import leftpanel from "@/components/left/index";
// import bottommenu from "@/components/menu/bottom-menu";

export default {
  name: "index",
  components: {
    viewer,
    leftpanel,
    // bottommenu,
  },
  data() {
    return {
      size: "100%",
      scale: "1",
      offset: "0%",
      tooltipInfo: "请稍后。。。",
      tooltipShow: false,
    };
  },
  mounted() {
    let size = this.detectZoom();
    this.scale = (100 / size).toFixed(2);
    this.offset = "-" + ((size - 100) / 2).toFixed(2) + "%";
    this.size = size + "%";
  },

  watch: {},
  methods: {
    detectZoom() {
      var ratio = 0,
        screen = window.screen,
        ua = navigator.userAgent.toLowerCase();
      if (window.devicePixelRatio !== undefined) {
        ratio = window.devicePixelRatio;
      } else if (~ua.indexOf("msie")) {
        if (screen.deviceXDPI && screen.logicalXDPI) {
          ratio = screen.deviceXDPI / screen.logicalXDPI;
        }
      } else if (
        window.outerWidth !== undefined &&
        window.innerWidth !== undefined
      ) {
        ratio = window.outerWidth / window.innerWidth;
      }

      if (ratio) {
        ratio = Math.round(ratio * 100);
      }
      return ratio;
    },
  },
};
</script>
<style scoped>
.mapViewer {
  height: 100%;
}
#headlog {
  width: 500px;
  position: absolute;
  left: 20px;
  top: 20px;
}
</style>
